Skip to content

Webhook

Sandbox endpoints to mock webhook behavior

Mock webhook request

Request

Security
ClientCredentialsFlow or AuthorizationCodeFlow
Bodyapplication/json
webhook_urlstringrequired

a valid url to receive the mock webhook request

webhook_keystringrequired

a valid key for the signature in base64 format

appointment_update_typestring(AppointmentUpdateType)
Enum:"updated""cancelled""created"
curl -i -X POST \
  https://api-developer-sandbox.zocdoc.com/v1/webhook/mock-request \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "webhook_url": "string",
    "webhook_key": "string",
    "appointment_update_type": "updated"
  }'

Responses

Successful

Bodyapplication/json
event_typestringrequired
webhook_timestampstringrequired
dataobject(WebhookMockRequestData)required
Response
{ "event_type": "string", "webhook_timestamp": "string", "data": { "data_type": "string", "appointment_data": {} } }